Bug 1660779 - After migration to graphite-1.1.4 the brick specific dashboards are not visible in grafana
Summary: After migration to graphite-1.1.4 the brick specific dashboards are not visib...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 3
Assignee: gowtham
QA Contact: Elena Bondarenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 08:42 UTC by Shubhendu Tripathi
Modified: 2019-02-04 07:43 UTC (History)
7 users (show)

Fixed In Version: tendrl-monitoring-integration-1.6.3-18.el7rhgs tendrl-node-agent-1.6.3-13.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-04 07:43:46 UTC


Attachments (Terms of Use)
brick dashboard - grafana (132.80 KB, image/png)
2018-12-19 08:44 UTC, Shubhendu Tripathi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0265 None None None 2019-02-04 07:43:47 UTC
Github Tendrl monitoring-integration issues 584 None None None 2018-12-26 10:32:49 UTC
Github Tendrl node-agent issues 864 None None None 2018-12-26 10:32:18 UTC

Description Shubhendu Tripathi 2018-12-19 08:42:14 UTC
Description of problem:
Recently in RHGS 3.4 BU3, there was a migration to graphite-web 1.1.4 (for getting few CVE fixes). After the migration, the brick specific monitoring dashboards are missing in grafana.

Version-Release number of selected component (if applicable):
graphite-web-1.1.4-1

How reproducible:
Always

Steps to Reproduce:
1. Setup a 3 node RHGS cluster
2. Setup WA stack using tendrl-ansible
3. Import the cluster in WA
4. Open the grafana dashboard for the imported cluster
5. Select `Brick Dashboard` from the dashboards list

Actual results:
None of the bricks specific details are listed in the dashboard

Expected results:
All the brick specific details should be listed properly in grafana dashboard

Additional info:

Comment 2 Shubhendu Tripathi 2018-12-19 08:44:04 UTC
Created attachment 1515513 [details]
brick dashboard - grafana

Comment 4 gowtham 2018-12-27 10:10:48 UTC
https://github.com/Tendrl/commons/pull/1071

Comment 6 Daniel Horák 2019-01-10 14:53:15 UTC
Verifying this Bug from the upgrade point of view from previous RHGS WA version.

During update of WA Server from RHGS WA 3.4.2 to 3.4.3 version, tendrl-upgrade
script launched as part of the update process, correctly rename all the affected
directories containing Carbon-Whisper database files (replace pipe sign '|' by
colon ':').

tendrl-upgrade script from:
  tendrl-monitoring-integration-1.6.3-18.el7rhgs.noarch

Comment 7 Elena Bondarenko 2019-01-10 17:31:07 UTC
In the freshly installed latest version of WA all the grafana dashboards are visible.

Comment 8 Martin Bukatovic 2019-01-23 20:39:01 UTC
See also: bz 1668900

Comment 10 errata-xmlrpc 2019-02-04 07:43:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0265


Note You need to log in before you can comment on or make changes to this bug.